<script lang="ts">
import Vue from 'vue';
export default Vue.extend({
  name: 'WorldTourEventsGrid',

  components: {},
  props: {
    events: {
      type: Object,
      required: false,
      default: null,
    },
  },
});
</script>

<template>
  <div id="world-tour-events-grid" class="world-tour-events-grid">
    <SlpContainer>
      <SlpTypography tag="h2" variant="heading2-bold" class="slp-mb-32">{{
        events.header
      }}</SlpTypography>
      <div>
        <div
          v-for="event in events.card"
          :key="event.fields.name"
          class="slp-mb-64"
        >
          <a :href="event.fields.cardLink" class="world-tour-events-grid__card">
            <div class="world-tour-events-grid__image slp-mb-24">
              <img
                v-if="event.fields?.contentArea?.length"
                class="world-tour-events-grid__hover"
                :src="event.fields.contentArea[0]?.fields.image.fields.file.url"
                alt=""
              />
              <img
                class="world-tour-events-grid__static"
                :src="event.fields.image.fields.file.url"
                :alt="event.fields.image.fields.title"
              />
            </div>
          </a>
          <div class="world-tour-events-grid__actions">
            <div>
              <SlpTypography tag="p" variant="heading4-bold" class="slp-mb-8">{{
                event.fields.title
              }}</SlpTypography>
              <SlpTypography tag="p" variant="body1-bold" class="slp-mb-24">{{
                event.fields.subtitle
              }}</SlpTypography>
            </div>
            <div>
              <SlpButton
                v-if="event.fields?.button?.fields"
                :href="event.fields?.button?.fields.externalUrl"
                variant="secondary"
                class="world-tour-events-grid__btn"
                :data-ga-name="event.fields?.button?.fields.dataGaName"
                :data-ga-location="event.fields?.button?.fields.dataGaLocation"
                >{{ event.fields?.button?.fields.text }}
                <SlpIcon
                  icon="chevron-lg-right"
                  name="chevron-lg-right"
                  class="slp-ml-8"
                  variant="product"
              /></SlpButton>
            </div>
          </div>
        </div>
      </div>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.world-tour-events-grid {
  &__image {
    line-height: 0;
    position: relative;
    width: 100%;
    img {
      width: 100%;
    }
  }
  &__card {
    position: relative;
    color: #171321;
    &[href] {
      &:hover,
      &:focus {
        .world-tour-events-grid__hover {
          opacity: 1;
        }
      }
    }
  }

  &__hover {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    left: 0;
    top: 0;
    transition: all 0.3s ease;
  }
  &__actions {
    @media (min-width: $breakpoint-lg) {
      display: flex;
      justify-content: space-between;
    }
  }
  &__btn {
    border: 1px solid #171321;
    &:hover,
    &:focus {
      border: 1px solid #171321;
    }
  }
}
</style>
